## syslog-ng-3.32.1.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
set(CMAKE_MACOSX_RPATH 1)

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

project(syslog-ng C)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules ${PROJECT_SOURCE_DIR}/cmake/)
set(CMAKE_POSITION_INDEPENDENT_CODE 1)
set(BISON_FLAGS "-Wno-other -Werror=conflicts-sr -Werror=conflicts-rr")

include(CheckIncludeFiles)
include(ExternalProject)
include(external_or_find_package)
include(add_module)
include(add_tests)
include(module_switch)

set(MEMORYCHECK_SUPPRESSIONS_FILE "${PROJECT_SOURCE_DIR}/tests/valgrind/unit-test-leak.supp")
set(MEMORYCHECK_COMMAND_OPTIONS "--num-callers=30 --sim-hints=no-nptl-pthread-stackcache --gen-suppressions=all --leak-check=full --trace-children=yes --freelist-vol=200000000 --freelist-big-blocks=10000000 --malloc-fill=55 --free-fill=AA")

execute_process(COMMAND ${PROJECT_SOURCE_DIR}/scripts/version.sh SET OUTPUT_VARIABLE SYSLOG_NG_VERSION)
set(SYSLOG_NG_COMBINED_VERSION ${SYSLOG_NG_VERSION})
set(SYSLOG_NG_SOURCE_REVISION ${SYSLOG_NG_VERSION})

set(SYSLOG_NG_PATH_PREFIX ${CMAKE_INSTALL_PREFIX})
set(SYSLOG_NG_PATH_SYSCONFDIR "\${prefix}/etc")
set(SYSLOG_NG_PATH_DATADIR "\${datarootdir}")
set(SYSLOG_NG_PATH_PIDFILEDIR "\${localstatedir}")
set(SYSLOG_NG_PATH_LOCALSTATEDIR "\${prefix}/var")
set(SYSLOG_NG_MODULE_PATH "\${exec_prefix}/lib/syslog-ng")
set(SYSLOG_NG_PATH_EXECPREFIX "\${prefix}")
set(SYSLOG_NG_PATH_CONFIG_INCLUDEDIR "\${datadir}/syslog-ng/include")
set(SYSLOG_NG_PATH_SCLDIR "\${datadir}/syslog-ng/include/scl")
set(SYSLOG_NG_PATH_LIBEXECDIR "\${exec_prefix}/libexec")
set(SYSLOG_NG_PATH_DATAROOTDIR "\${prefix}/share")
set(SYSLOG_NG_ENABLE_TCP_WRAPPER 0)
set(SYSLOG_NG_ENABLE_GPROF 0)
set(SYSLOG_NG_ENABLE_MEMTRACE 0)
set(SYSLOG_NG_ENABLE_SYSTEMD 0)
set(SYSLOG_NG_PATH_MODULEDIR "\${exec_prefix}/lib/syslog-ng")
set(SYSLOG_NG_PACKAGE_NAME "${CMAKE_PROJECT_NAME}")
set(SYSLOG_NG_PATH_XSDDIR "\${datadir}/syslog-ng/xsd")
set(SYSLOG_NG_JAVA_MODULE_PATH "\${exec_prefix}/lib/syslog-ng/java-modules")
set(SYSLOG_NG_PYTHON_MODULE_DIR "\${exec_prefix}/lib/syslog-ng/python")
set(SYSLOG_NG_PATH_TOPSRC_DIR "${PROJECT_SOURCE_DIR}")
set(LIBDIR "\${exec_prefix}/lib")
set(INCLUDEDIR "\${prefix}/include")
set(TOOLSDIR "\${datadir}/syslog-ng/tools")
set(SYSLOG_NG_ENABLE_FORCED_SERVER_MODE 1)

set (LOGGEN_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/syslog-ng/loggen")

IF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
  set(SYSLOG_NG_ENABLE_DEBUG 1)
  add_definitions(-DYYDEBUG=1)
ELSE()
  set(SYSLOG_NG_ENABLE_DEBUG 0)
ENDIF()

include(CheckTypeSize)
include(CheckStructMember)
include(CheckSymbolExists)
include(GenerateYFromYm)
include(CheckStructHasMember)
include(CheckCSourceCompiles)

add_definitions(-D_GNU_SOURCE=1)
add_definitions(-D_LARGEFILE64_SOURCE=1)
add_definitions(-D__APPLE_USE_RFC_3542)


include(CheckSockaddrStorage)
if (HAVE_STRUCT_SOCKADDR_STORAGE)
    set(SYSLOG_NG_HAVE_STRUCT_SOCKADDR_STORAGE 1)
else()
    set(SYSLOG_NG_HAVE_STRUCT_SOCKADDR_STORAGE 0)
endif()

include(CheckCreds)
set(SYSLOG_NG_HAVE_STRUCT_UCRED (HAVE_STRUCT_UCRED OR HAVE_STRUCT_CMSGCRED))
check_struct_member ("struct msghdr" "msg_control" "sys/types.h;sys/socket.h" SYSLOG_NG_HAVE_CTRLBUF_IN_MSGHDR)

include(CheckIPv6)

module_switch(ENABLE_IPV6 "Enable IPv6")
if (ENABLE_IPV6)
    set(SYSLOG_NG_ENABLE_IPV6 ${HAVE_IPV6})
endif()

check_symbol_exists(TCP_KEEPIDLE  "sys/socket.h;netinet/in.h;netinet/tcp.h" HAVE_TCP_KEEPIDLE)
check_symbol_exists(TCP_KEEPINTVL "sys/socket.h;netinet/in.h;netinet/tcp.h" HAVE_TCP_KEEPINTVL)
check_symbol_exists(TCP_KEEPCNT   "sys/socket.h;netinet/in.h;netinet/tcp.h" HAVE_TCP_KEEPCNT)
if (HAVE_TCP_KEEPIDLE AND HAVE_TCP_KEEPINTVL AND HAVE_TCP_KEEPCNT)
  set(SYSLOG_NG_HAVE_TCP_KEEPALIVE_TIMERS 1)
endif()

if (NOT APPLE)
  set(SYSLOG_NG_HAVE_ENVIRON 1)
endif()

option(ENV_LD_LIBRARY_PATH "Set LD_LIBRARY_PATH during runtime to the value given" "")
if (ENV_LD_LIBRARY_PATH)
  set(SYSLOG_NG_ENABLE_ENV_WRAPPER 1)
endif()

option(WITH_COMPILE_DATE "Include compile date in binary" "ON")
if (WITH_COMPILE_DATE)
  set(SYSLOG_NG_WITH_COMPILE_DATE 1)
endif()

set(CMAKE_REQUIRED_DEFINITIONS "-D_LARGEFILE64_SOURCE=1")
set(CMAKE_EXTRA_INCLUDE_FILES "fcntl.h")
check_type_size(O_LARGEFILE O_LARGEFILE)
if (HAVE_O_LARGEFILE)
  set(SYSLOG_NG_HAVE_O_LARGEFILE 1)
endif()

check_c_source_compiles("
#include <pthread.h>
__thread int a; int main() { a=0; }" SYSLOG_NG_HAVE_THREAD_KEYWORD)


check_symbol_exists(strtoll stdlib.h SYSLOG_NG_HAVE_STRTOLL)
check_symbol_exists(strnlen string.h SYSLOG_NG_HAVE_STRNLEN)
check_symbol_exists(strtok_r string.h SYSLOG_NG_HAVE_STRTOK_R)
check_symbol_exists(strtoimax inttypes.h SYSLOG_NG_HAVE_STRTOIMAX)
check_symbol_exists(inet_aton "sys/socket.h;netinet/in.h;arpa/inet.h" SYSLOG_NG_HAVE_INET_ATON)
check_symbol_exists(inet_ntoa "sys/socket.h;netinet/in.h;arpa/inet.h" SYSLOG_NG_HAVE_INET_NTOA)
check_symbol_exists(getutent utmp.h SYSLOG_NG_HAVE_GETUTENT)
check_symbol_exists(getutxent utmpx.h SYSLOG_NG_HAVE_GETUTXENT)
check_symbol_exists(getaddrinfo "netdb.h;sys/socket.h;sys/types.h" SYSLOG_NG_HAVE_GETADDRINFO)
check_symbol_exists(getnameinfo "netdb.h;sys/socket.h" SYSLOG_NG_HAVE_GETNAMEINFO)
check_symbol_exists(getprotobynumber_r "netdb.h" SYSLOG_NG_HAVE_GETPROTOBYNUMBER_R)
check_symbol_exists(clock_gettime "time.h" SYSLOG_NG_HAVE_CLOCK_GETTIME)
check_symbol_exists(gmtime_r "time.h" SYSLOG_NG_HAVE_GMTIME_R)
check_symbol_exists(localtime_r "time.h" SYSLOG_NG_HAVE_LOCALTIME_R)
check_symbol_exists("getrandom" "sys/random.h" SYSLOG_NG_HAVE_GETRANDOM)
check_symbol_exists(fmemopen "stdio.h" SYSLOG_NG_HAVE_FMEMOPEN)
set(CMAKE_REQUIRED_DEFINITIONS "-D_GNU_SOURCE=1")
check_symbol_exists(memrchr "string.h" SYSLOG_NG_HAVE_MEMRCHR)
check_symbol_exists(strcasestr "string.h" SYSLOG_NG_HAVE_STRCASESTR)
check_symbol_exists(pread "unistd.h" SYSLOG_NG_HAVE_PREAD)
check_symbol_exists(pwrite "unistd.h" SYSLOG_NG_HAVE_PWRITE)
check_symbol_exists(timezone time.h SYSLOG_NG_HAVE_TIMEZONE)

check_include_files(utmp.h SYSLOG_NG_HAVE_UTMP_H)
check_include_files(utmpx.h SYSLOG_NG_HAVE_UTMPX_H)
check_include_files(dlfcn.h SYSLOG_NG_HAVE_DLFCN_H)
check_include_files(getopt.h SYSLOG_NG_HAVE_GETOPT_H)

check_struct_has_member("struct utmpx" "ut_type" "utmpx.h" UTMPX_HAS_UT_TYPE LANGUAGE C)
check_struct_has_member("struct utmp" "ut_type" "utmp.h" UTMP_HAS_UT_TYPE LANGUAGE C)
check_struct_has_member("struct utmpx" "ut_user" "utmpx.h" UTMPX_HAS_UT_USER LANGUAGE C)
check_struct_has_member("struct utmp" "ut_user" "utmp.h" UTMP_HAS_UT_USER LANGUAGE C)
check_struct_has_member("struct tm" "tm_gmtoff" "sys/time.h;time.h" SYSLOG_NG_HAVE_STRUCT_TM_TM_GMTOFF)


if ((UTMPX_HAS_UT_TYPE AND UTMPX_HAS_UT_USER) OR (UTMPX_HAS_UT_TYPE AND UTMP_HAS_UT_USER))
  set(SYSLOG_NG_HAVE_MODERN_UTMP 1)
endif()

set(WITH_GETTEXT "" CACHE STRING "Set the prefix where gettext is installed (e.g. /usr)")

set(CMAKE_C_STANDARD 99)

find_package(BISON 3.7.6 REQUIRED)

string(REGEX MATCH "^([0-9]+)\\.([0-9]+)\\..*$" _dummy "${BISON_VERSION}")

set(GLIB_COMPILE_DEFINITIONS
  GLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_28
  GLIB_VERSION_MAX_ALLOWED=0x023C00
)
find_package(GLIB COMPONENTS gmodule gthread 2.28.1 REQUIRED)

set(CMAKE_REQUIRED_INCLUDES ${GLIB_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${GLIB_LIBRARIES})
check_symbol_exists(g_list_copy_deep "glib.h" SYSLOG_NG_HAVE_G_LIST_COPY_DEEP)
check_symbol_exists(g_queue_free_full "glib.h" SYSLOG_NG_HAVE_G_QUEUE_FREE_FULL)
check_symbol_exists(g_list_free_full "glib.h" SYSLOG_NG_HAVE_G_LIST_FREE_FULL)
check_symbol_exists(g_ptr_array_find_with_equal_func "glib.h" SYSLOG_NG_HAVE_G_PTR_ARRAY_FIND_WITH_EQUAL_FUNC)
check_symbol_exists(g_canonicalize_filename "glib.h" SYSLOG_NG_HAVE_G_CANONICALIZE_FILENAME)
check_symbol_exists(g_hash_table_contains "glib.h" SYSLOG_NG_HAVE_G_HASH_TABLE_CONTAINS)

find_package(RabbitMQ)
if (RabbitMQ_FOUND)
  set(CMAKE_REQUIRED_INCLUDES ${RabbitMQ_INCLUDE_DIR})
  set(CMAKE_REQUIRED_LIBRARIES ${RabbitMQ_LIBRARY})
  check_symbol_exists(amqp_ssl_socket_set_verify_peer "amqp.h;amqp_ssl_socket.h" SYSLOG_NG_HAVE_AMQP_SSL_SOCKET_SET_VERIFY_PEER)
endif()


set (SYSLOG_NG_USE_CONST_IVYKIS_MOCK 1)
external_or_find_package(IVYKIS REQUIRED)
if ((NOT IVYKIS_INTERNAL) AND (IVYKIS_PKGCONF_VERSION VERSION_LESS "0.39"))
  set (SYSLOG_NG_USE_CONST_IVYKIS_MOCK 0)
endif()

find_package(OpenSSL REQUIRED)
find_package(FLEX REQUIRED)
find_package(LibNet REQUIRED)
find_package(Resolv REQUIRED)
find_package(Wrap)
find_package(criterion)
find_package(Inotify)
find_package(LIBCAP)

find_package(systemd)
pkg_search_module(SYSTEMD_WITH_NAMESPACE libsystemd>=245)
message(STATUS "Found lib${SYSTEMD_WITH_NAMESPACE_LIBRARIES} version ${SYSTEMD_WITH_NAMESPACE_VERSION}")

module_switch(ENABLE_JOURNALD "Enable systemd-journal" Libsystemd_FOUND)
set(WITH_SYSTEMD_JOURNAL "system" CACHE STRING "Link against the system supplied or the wrapper library")
set_property(CACHE WITH_SYSTEMD_JOURNAL PROPERTY STRINGS system wrapper)

if (ENABLE_JOURNALD)
  if (WITH_SYSTEMD_JOURNAL STREQUAL "system" AND NOT Libsystemd_FOUND)
    message(FATAL_ERROR "systemd library not found")
  endif()

  set(SYSLOG_NG_ENABLE_SYSTEMD 1)
  if (WITH_SYSTEMD_JOURNAL STREQUAL "system")
    if (SYSTEMD_WITH_NAMESPACE_LIBRARIES STREQUAL "systemd")
       set(SYSLOG_NG_HAVE_JOURNAL_NAMESPACES 1)
       message(STATUS "Have journal namespaces")
    else()
       set(SYSLOG_NG_HAVE_JOURNAL_NAMESPACES 0)
    endif()
    set(SYSLOG_NG_SYSTEMD_JOURNAL_MODE SYSLOG_NG_JOURNALD_SYSTEM)
  elseif (WITH_SYSTEMD_JOURNAL STREQUAL "wrapper")
    set(SYSLOG_NG_SYSTEMD_JOURNAL_MODE SYSLOG_NG_JOURNALD_OPTIONAL)
  endif()
else()
  set(SYSLOG_NG_ENABLE_SYSTEMD 0)
  set(SYSLOG_NG_SYSTEMD_JOURNAL_MODE SYSLOG_NG_JOURNALD_OFF)
endif()

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
set(SYSLOG_NG_HAVE_INOTIFY "${Inotify_FOUND}")

set (PYTHON_VERSION "AUTO" CACHE STRING "Version of the installed development library" )

if ("${PYTHON_VERSION}" STREQUAL "AUTO")
  find_package(PythonInterp)
  find_package(PythonLibs)
else ()
  find_package(PythonInterp EXACT "${PYTHON_VERSION}" REQUIRED)
  find_package(PythonLibs EXACT "${PYTHON_VERSION}" REQUIRED)
endif ()

MESSAGE(STATUS "Detected pythonlib version: ${PYTHONLIBS_VERSION_STRING}")

set (PYLINT "" CACHE STRING "pylint binary")

if (PYLINT)
  set(PYLINT_BIN ${PYLINT})
else ()
  if (PYTHON_VERSION STREQUAL "3")
    find_program(PYLINT_BIN "pylint3")
      if (NOT PYLINT_BIN)
        find_program(PYLINT_BIN "pylint")
      endif()
  else ()
    find_program(PYLINT_BIN "pylint")
  endif ()
endif()

if (PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
    set(SYSLOG_NG_ENABLE_PYTHONv2 1)
else ()
    set(SYSLOG_NG_ENABLE_PYTHONv3 1)
endif ()


include(openssl_functions)
openssl_set_defines()

pkg_check_modules(LIBPCRE REQUIRED libpcre)

if (WRAP_FOUND)
  set(SYSLOG_NG_ENABLE_TCP_WRAPPER 1)
endif()

if (LIBNET_FOUND)
  set(SYSLOG_NG_ENABLE_SPOOF_SOURCE 1)
endif()

set(SYSLOG_NG_ENABLE_LINUX_CAPS ${PC_LIBCAP_FOUND})

if (WITH_GETTEXT)
    set(CMAKE_PREFIX_PATH ${WITH_GETTEXT})
    find_package(Gettext REQUIRED QUIET)
    set(CMAKE_PREFIX_PATH "")
else()
    find_package(Gettext REQUIRED QUIET)
endif()

set(Eventlog_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/lib/eventlog/src")

add_custom_target(style-check  COMMAND ${PROJECT_SOURCE_DIR}/scripts/style-checker.sh check  ${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
add_custom_target(style-format COMMAND ${PROJECT_SOURCE_DIR}/scripts/style-checker.sh format ${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
add_custom_target(check-commits

=== scl/CMakeLists.txt ===
set(SCL_DIRS
    apache
    cee
    cim
    checkpoint
    cisco
    collectd
    default-network-drivers
    elasticsearch
    ewmm
    fortigate
    graphite
    graylog2
    hdfs
    iptables
    junos
    kafka
    linux-audit
    loadbalancer
    loggly
    logmatic
    mbox
    netskope
    nodejs
    osquery
    pacct
    paloalto
    rewrite
    slack
    snmptrap
    solaris
    sudo
    sumologic
    syslogconf
    system
    telegram
    websense
    windowseventlog
)

install(DIRECTORY ${SCL_DIRS} DESTINATION share/syslog-ng/include/scl)
install(FILES scl.conf DESTINATION etc)

if (NOT EXISTS ${CMAKE_INSTALL_PREFIX}/etc/syslog-ng.conf)
    install(FILES syslog-ng.conf DESTINATION etc)
endif()

=== modules/afmongodb/CMakeLists.txt ===
if (ENABLE_MONGODB STREQUAL OFF)
  return()
endif()

find_package(libmongoc-1.0)

module_switch(ENABLE_MONGODB "Enable mongodb destination driver" libmongoc-1.0_FOUND)

if (ENABLE_MONGODB)

  set(CMAKE_REQUIRED_INCLUDES ${MONGOC_INCLUDE_DIRS})
  set(CMAKE_REQUIRED_LIBRARIES ${MONGOC_LIBRARY})
  check_symbol_exists(mongoc_uri_set_option_as_int32 "mongoc.h" SYSLOG_NG_HAVE_DECL_MONGOC_URI_SET_OPTION_AS_INT32)

  set(AFMONGODB_SOURCES
    "afmongodb.h"
    "afmongodb.c"
    "afmongodb-worker.h"
    "afmongodb-worker.c"
    "afmongodb-parser.h"
    "afmongodb-parser.c"
    "afmongodb-private.h"
  )

  add_module(
    TARGET afmongodb
    GRAMMAR afmongodb-grammar
    INCLUDES ${MONGOC_INCLUDE_DIRS}
    DEPENDS ${MONGOC_LIBRARY}
    SOURCES ${AFMONGODB_SOURCES}
  )

  add_test_subdirectory(tests)

endif()

=== modules/kafka/CMakeLists.txt ===
find_package(rdkafka 1.0.0)

if (RDKAFKA_FOUND)
  option(ENABLE_KAFKA "Enable kafka module" ON)
else()
  option(ENABLE_KAFKA "Enable kafka module" OFF)
endif()

if (NOT ENABLE_KAFKA)
 return()
endif()

if (NOT RDKAFKA_FOUND)
  message(FATAL_ERROR "Kafka enabled but no librdkafka found")
endif()

set(KAFKA_SOURCES
  kafka-parser.c
  kafka-parser.h
  kafka-plugin.c
  kafka-dest-driver.c
  kafka-dest-worker.c
  kafka-plugin.c
  kafka-props.c
  kafka-internal.h
)

add_module(
  TARGET kafka
  GRAMMAR kafka-grammar
  DEPENDS rdkafka
  SOURCES ${KAFKA_SOURCES}
)

add_test_subdirectory(tests)

=== modules/kafka/tests/CMakeLists.txt ===
add_unit_test(CRITERION LIBTEST TARGET test_kafka-props DEPENDS kafka)
add_unit_test(CRITERION LIBTEST TARGET test_kafka_topic DEPENDS kafka rdkafka)

=== packaging/debian/changelog ===
syslog-ng (3.32.1-1) unstable; urgency=medium

  * New upstream release 3.32.1

 -- github-actions <github-actions@github.com>  Fri, 07 May 2021 06:26:13 +0000

syslog-ng (3.31.2-1) unstable; urgency=medium

  * New upstream release 3.31.2

 -- github-actions <github-actions@github.com>  Wed, 17 Mar 2021 16:37:02 +0000

syslog-ng (3.31.1-1) unstable; urgency=medium

  * New upstream release 3.31.1

 -- github-actions <github-actions@github.com>  Tue, 02 Mar 2021 18:55:27 +0000

syslog-ng (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1

 -- github-actions <github-actions@github.com>  Thu, 12 Nov 2020 12:59:09 +0000

syslog-ng (3.29.1-1) unstable; urgency=medium

  * New upstream release 3.29.1

 -- Laszlo Varady <stentor@x260>  Fri, 28 Aug 2020 12:13:25 +0000

syslog-ng (3.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Varady <laszlo.varady@balabit.com>  Tue, 16 Jun 2020 13:07:54 +0200

syslog-ng (3.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antal Nemes <antal.nemes@quest.com>  Tue, 28 Apr 2020 08:30:27 +0200

syslog-ng (3.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Update configuration version.

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Add support for the snmp() destination (syslog-ng-mod-snmp package).
  * Move the http() destination into a separate package (syslog-ng-mod-http).
  * Move BSD process accounting (pacct) support into the core package.
  * Move tags-parser() to the core package.
  * Add support for librdkafka based kafka destination (in mod-rdkafka
    package).
  * Use upstream scl.conf .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Mar 2020 14:18:20 +0000

syslog-ng (3.25.1-3) unstable; urgency=medium

  * Remove outdated pep8 build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Mar 2020 19:39:43 +0000

syslog-ng (3.25.1-2) unstable; urgency=medium

  * Update upstream bison update (closes: #949847).

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Remove unneeded/empty Makefile.am file.
  * Remove obsoleted sections from README.source .
  * Update github URL in copyright.
  * Change github url in the watch file.
  * Add wants/after lines into syslog-ng.systemd unit file.
  * Remove libgeoip-dev as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2020 11:38:57 +0000

syslog-ng (3.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge in syslog-ng-mod-journal (closes: #924264).
  * Remove syslog-ng-mod-geoip module.
  * Python3ify syslog-ng-mod-python (closes: #938618).
  * Add upstream persist-tool manpage.
  * Backport upstream bison update.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Dec 2019 08:42:10 +0000

syslog-ng (3.19.1-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Fix FTBFS with bison 3.4.1 (closes: #931302).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Jul 2019 16:37:13 +0000

syslog-ng (3.19.1-5) unstable; urgency=high

  * Backport security fixes:
    - fix app-parser() per reload memory leak,
    - logger: fix leaking file handlers,
    - DNS memory leak/segfault fix,
    - cmake: add missing detection for O_LARGEFILE,
    - threaded-dest: fix integer overflow,
    - threaded-dest: move last_worker to DestDriver,
    - cmake: fix typo in HAVE_STRNLEN,
    - http: add missing free for self->body_template,
    - test_pathutils: fix leak,
    - test_file_list: fix leak,
    - template: tf_simple_func_prepare leak fix,
    - gorupingby: fix memory leak,
    - groupingby: fix invalid memory access.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 May 2019 11:03:30 +0000

syslog-ng (3.19.1-4) unstable; urgency=medium

  * Add dns_cache(no) to options (closes: #922524).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Apr 2019 11:02:19 +0000

syslog-ng (3.19.1-3) unstable; urgency=medium

  * Correct syslog-ng-mod-examples description (closes: #920846).
  * Disable pacctformat building on non-Linux systems.
  * Disable buggy upgrade self-test.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Feb 2019 18:47:26 +0000

syslog-ng (3.19.1-2) unstable; urgency=medium

  * Install SCL files from source (closes: #920512).
  * Make syslog-ng-mod-pacctformat linux-any.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Jan 2019 13:57:58 +0000

syslog-ng (3.19.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Don't try to run self-tests until its Criterion dependency packaged.
  * Merge syslog-ng-mod-json into syslog-ng-core.
  * Add syslog-ng-mod-geoip2 module.
  * Add syslog-ng-mod-pacctformat module.
  * Add syslog-ng-mod-examples module.
  * Update syslog-ng-mod-extra install.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Remove own compression option.
  * Prepare for Python 3 module.
  * Build with libcurl4-openssl-dev.
  * Patch to remove outdated documentation.
  * Remove own ABI virtual package.
  * Add http destination module to -core.
  * Add hook commands module to -core.
  * Add loggen modules to -core.
  * Add secret storage module to -core.
  * Install pkg-config files to MultiArch directory.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Dec 2018 09:40:28 +0000

syslog-ng (3.13.2-5) unstable; urgency=medium

  * Update maintainer email address.
  * Add libcurl4-openssl-dev to Build-Conflicts.
  * Correct wording of patch short description.
  * Don't specify parallel to debhelper.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 15 Oct 2018 21:32:24 +0000

syslog-ng (3.13.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.


=== packaging/debian/control ===
Source: syslog-ng
Section: admin
Priority: optional
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@alioth-lists.debian.net>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 10~),
               automake (>= 1:1.11.1),
               autoconf-archive,
               tzdata,
               pkg-config, flex, bison (>= 3.4.2),
               xsltproc, docbook-xsl,
               libesmtp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi-dev | libdbi0-dev,
               libssl-dev,
               libmongoc-dev,
               libbson-dev,
               libjson-c-dev | libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               libsystemd-dev (>= 209) [linux-any],
               libhiredis-dev,
               libriemann-client-dev (>= 1.6.0~),
               librabbitmq-dev,
               python <sng-python2>, python-dev <sng-python2>, python-setuptools <sng-python2>,
               python3, python3-dev, dh-python,
               python3-ply, python3-setuptools,
               dh-exec (>= 0.13~),
               libxml2-utils, geoip-database,
               libmaxminddb-dev,
               libcurl4-openssl-dev,
               libsnappy-dev,
               libsnmp-dev [linux-any hurd-i386],
               librdkafka-dev (>= 1.0.0) <!sng-nokafka>,
               openjdk-8-jdk <!nojava>,
               gradle (>= 3.5.1~) <!nojava>
Build-Conflicts: autoconf2.13
Standards-Version: 4.4.1
Homepage: https://www.syslog-ng.com/
Vcs-Git: https://github.com/gcsideal/syslog-ng-debian.git
Vcs-Browser: https://github.com/gcsideal/syslog-ng-debian

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Enhanced system logging daemon (metapackage)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Enhanced system logging daemon (debug symbols)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison, python3,
 libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Enhanced system logging daemon (development files)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10), lsb-base (>= 3.0-6)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon, libsyslog-ng-dev, syslog-ng-mod-journal, syslog-ng-mod-pacctformat, syslog-ng-mod-tag-parser, syslog-ng-mod-extra
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.19.1~), syslog-ng-mod-journal (<< 3.25.1~), syslog-ng-mod-pacctformat (<< 3.26.1~), syslog-ng-mod-tag-parser (<< 3.26.1~), syslog-ng-mod-extra (<< 3.26.1-2~)
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.19.1~), syslog-ng-mod-journal (<< 3.25.1~), syslog-ng-mod-pacctformat (<< 3.26.1~), syslog-ng-mod-tag-parser (<< 3.26.1~), syslog-ng-mod-extra (<< 3.26.1-2~)
Description: Enhanced system logging daemon (core)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Suggests: mongodb-server
Description: Enhanced system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-smtp
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Description: Enhanced system logging daemon (SMTP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SMTP destination plugin, which allows one
 to send email messages from within syslog-ng itself.

Package: syslog-ng-mod-amqp
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Suggests: rabbitmq-server
Description: Enhanced system logging daemon (AMQP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the AMQP destination plugin, which allows one
 to publish log messages through the AMQP protocol.

Package: syslog-ng-mod-geoip2
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, syslog-ng-core (>= ${source:Version}), syslog-ng-core (<< ${source:Version}.1~)
Provides: syslog-ng-mod-geoip
Replaces: syslog-ng-mod-geoip (<< 3.25.1~)
Breaks: syslog-ng-mod-geoip (<< 3.25.1~)
Description: Enhanced system logging daemon (GeoIP2 plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the GeoIP2 template function plugin, which
 allows one to do non-DNS IP-to-country resolving from syslog-ng
 templates. GeoIP2 uses MaxMind DB.
